# Uses of Interface
org.mariadb.jdbc.client.socket.Reader

Packages that use Reader
Package
Description
org.mariadb.jdbc.plugin
org.mariadb.jdbc.plugin.authentication.addon
org.mariadb.jdbc.plugin.authentication.standard

## Uses of Reader in org.mariadb.jdbc.plugin

Methods in org.mariadb.jdbc.plugin with parameters of type Reader
Modifier and Type
Method
Description
`org.mariadb.jdbc.client.ReadableByteBuf`
AuthenticationPlugin.`process(Writer encoder, Reader decoder, org.mariadb.jdbc.client.Context context, boolean sslFingerPrintValidation)`
Process plugin authentication.

## Uses of Reader in org.mariadb.jdbc.plugin.authentication.addon

Methods in org.mariadb.jdbc.plugin.authentication.addon with parameters of type Reader
Modifier and Type
Method
Description
`org.mariadb.jdbc.client.ReadableByteBuf`
ClearPasswordPlugin.`process(Writer out, Reader in, org.mariadb.jdbc.client.Context context, boolean sslFingerPrintValidation)`
Send password in clear text to the server.
`org.mariadb.jdbc.client.ReadableByteBuf`
SendGssApiAuthPacket.`process(Writer out, Reader in, org.mariadb.jdbc.client.Context context, boolean sslFingerPrintValidation)`
Process gssapi plugin authentication.

## Uses of Reader in org.mariadb.jdbc.plugin.authentication.standard

Methods in org.mariadb.jdbc.plugin.authentication.standard with parameters of type Reader
Modifier and Type
Method
Description
`org.mariadb.jdbc.client.ReadableByteBuf`
CachingSha2PasswordPlugin.`process(Writer out, Reader in, org.mariadb.jdbc.client.Context context, boolean sslFingerPrintValidation)`
Process native password plugin authentication.
`org.mariadb.jdbc.client.ReadableByteBuf`
Ed25519PasswordPlugin.`process(Writer out, Reader in, org.mariadb.jdbc.client.Context context, boolean sslFingerPrintValidation)`
Process Ed25519 password plugin authentication.
`org.mariadb.jdbc.client.ReadableByteBuf`
NativePasswordPlugin.`process(Writer out, Reader in, org.mariadb.jdbc.client.Context context, boolean sslFingerPrintValidation)`
Process native password plugin authentication.
`org.mariadb.jdbc.client.ReadableByteBuf`
ParsecPasswordPlugin.`process(Writer out, Reader in, org.mariadb.jdbc.client.Context context, boolean sslFingerPrintValidation)`
Process parsec password plugin authentication.
`org.mariadb.jdbc.client.ReadableByteBuf`
SendPamAuthPacket.`process(Writer out, Reader in, org.mariadb.jdbc.client.Context context, boolean sslFingerPrintValidation)`
Process PAM plugin authentication.